## mingw-w64-zizmor-1.18.0-1.src.tar.zst

=== Makefile ===
.PHONY: all
all:
	@echo "Run my targets individually!"

.PHONY: site
site:
	uv run --only-group docs zensical build

.PHONY: site-live
site-live:
	uv run --only-group docs zensical serve

.PHONY: snippets
snippets: trophies sponsors
	cargo run -- -h > docs/snippets/help.txt

.PHONY: trophies
trophies: docs/snippets/trophies.md

docs/snippets/trophies.md: docs/snippets/trophies.txt docs/snippets/render-trophies.py
	docs/snippets/render-trophies.py > $@

.PHONY: sponsors
sponsors: docs/snippets/sponsors.html

docs/snippets/sponsors.html: docs/snippets/sponsors.json docs/snippets/render-sponsors.py
	docs/snippets/render-sponsors.py > $@

.PHONY: refresh-schemas
refresh-schemas:
	curl https://www.schemastore.org/github-workflow.json > crates/zizmor/src/data/github-workflow.json
	curl https://www.schemastore.org/github-action.json > crates/zizmor/src/data/github-action.json
	curl https://www.schemastore.org/dependabot-2.0.json > crates/zizmor/src/data/dependabot-2.0.json

.PHONY: webhooks-to-contexts
webhooks-to-contexts:
	support/webhooks-to-contexts.py

.PHONY: codeql-injection-sinks
codeql-injection-sinks: crates/zizmor/data/codeql-injection-sinks.json

crates/zizmor/data/codeql-injection-sinks.json: support/codeql-injection-sinks.py
	$< > $@

.PHONY: pinact
pinact:
	pinact run --update --verify


.PHONY: bench
bench:
	uv run bench/benchmark.py --offline

=== PKGBUILD ===
# Maintainer: Christoph Reiter <reiter.christoph@gmail.com>

_realname=zizmor
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=1.18.0
pkgrel=1
pkgdesc="A static analysis tool for GitHub Actions (mingw-w64)"
url='https://github.com/zizmorcore/zizmor'
msys2_repository_url='https://github.com/zizmorcore/zizmor'
msys2_changelog_url='https://docs.zizmor.sh/release-notes/'
msys2_references=(
  'anitya: 378497'
  'archlinux: zizmor'
  'purl: pkg:cargo/zizmor'
)
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
license=('spdx:MIT')
makedepends=("${MINGW_PACKAGE_PREFIX}-rust")
source=("https://github.com/zizmorcore/${_realname}/archive/v${pkgver}/${_realname}-${pkgver}.tar.gz")
sha256sums=('17633af9cdf5ca6b5fd31468dfc3dce262b6ff85b244dfc397c484969bfba634')

prepare() {
  cd "${_realname}-${pkgver}"

  cargo fetch --locked --target "${RUST_CHOST}"
}

build() {
  cd "${_realname}-${pkgver}"

  cargo build --frozen --release -p zizmor
}

check() {
  cd "${_realname}-${pkgver}"

  cargo test --frozen --release -p zizmor
}

package() {
  cd "${_realname}-${pkgver}"

  install -Dm755 -t "${pkgdir}${MINGW_PREFIX}/bin" target/release/zizmor.exe

  local _complete="target/release/zizmor --completions"
  install -Dm644 <($_complete bash) "${pkgdir}${MINGW_PREFIX}/share/bash-completion/completions/${_realname}"
  install -Dm644 <($_complete fish) "${pkgdir}${MINGW_PREFIX}/share/fish/vendor_completions.d/${_realname}.fish"
  install -Dm644 <($_complete zsh) "${pkgdir}${MINGW_PREFIX}/share/zsh/site-functions/_${_realname}"
  install -Dm644 LICENSE -t "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}"
}
